package xyz.brysonsteck.ServerCraft

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.image.Image
import javafx.stage.Stage;
import java.awt.Desktop;

class App : Application() {

  override fun start(stage: Stage) { 
    var scene = Scene(loadFXML("primary"), 963.0, 713.0)
    stage.icons.add(Image(this.javaClass.getResourceAsStream("app.png")))
    stage.setResizable(false)
    stage.title = "ServerCraft"
    stage.scene = scene
    stage.show()
  }

  public fun loadFXML(fxml: String) : Parent {
    val fxmlLoader = FXMLLoader(this.javaClass.getResource(fxml + ".fxml"))
    return fxmlLoader.load()
  }

  public fun run() {
    launch()
  }

}
